org.minidns.edns

## Class UnknownEdnsOption

- java.lang.Object
- - org.minidns.edns.EdnsOption
  - - org.minidns.edns.UnknownEdnsOption

-     public class UnknownEdnsOption
      extends EdnsOption

  EDNS option for unknown option codes. This class represents EDNS options that are not specifically implemented.

- - ### Field Summary

    - ### Fields inherited from class org.minidns.edns.EdnsOption

      `optionCode, optionData, optionLength`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `UnknownEdnsOption(int optionCode, byte[] optionData)` Creates a new unknown EDNS option with the specified option code and data.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected CharSequence` | `asTerminalOutputInternal()` Returns the terminal output representation of this EDNS option.
    `Edns.OptionCode` | `getOptionCode()` Returns the option code for this EDNS option.
    `protected CharSequence` | `toStringInternal()` Returns the string representation of this EDNS option.

    - ### Methods inherited from class org.minidns.edns.EdnsOption

      `asTerminalOutput, parse, toString, writeToDos`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### UnknownEdnsOption

          protected UnknownEdnsOption(int optionCode,
                                      byte[] optionData)

      Creates a new unknown EDNS option with the specified option code and data.
      Parameters:
        `optionCode` - the unknown option code
        `optionData` - the option data

  - ### Method Detail

    - #### asTerminalOutputInternal

          protected CharSequence asTerminalOutputInternal()

      Description copied from class: `EdnsOption`
      Returns the terminal output representation of this EDNS option.
      Specified by:
        `asTerminalOutputInternal` in class `EdnsOption`
      Returns:
        the terminal output representation

    - #### getOptionCode

          public Edns.OptionCode getOptionCode()

      Description copied from class: `EdnsOption`
      Returns the option code for this EDNS option.
      Specified by:
        `getOptionCode` in class `EdnsOption`
      Returns:
        the option code

    - #### toStringInternal

          protected CharSequence toStringInternal()

      Description copied from class: `EdnsOption`
      Returns the string representation of this EDNS option.
      Specified by:
        `toStringInternal` in class `EdnsOption`
      Returns:
        the string representation